Bug 735680 - calibre crashes with a unicode related error message
Summary: calibre crashes with a unicode related error message
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: calibre
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-04 22:11 UTC by Jes Sorensen
Modified: 2013-01-11 22:25 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-11 22:25:45 UTC


Attachments (Terms of Use)

Description Jes Sorensen 2011-09-04 22:11:36 UTC
Description of problem:
Installed F16 Alpha - tried launching Calibre and it dies with the
below error message.

First time it came up allowing me to enter an email address and test it,
moment I hit continue it just hang. Now it just launches, shows the book
images for startup, and never continues and gives me the actual application.

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:
[jes@red-feather ~]$ calibre
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/ui.py", line 150, in load_store_plugins
    st = self.init_istore(store)
  File "/usr/lib64/calibre/calibre/gui2/ui.py", line 161, in init_istore
    st = store.load_actual_plugin(self)
  File "/usr/lib64/calibre/calibre/customize/__init__.py", line 634, in load_actual_plugin
    self.actual_plugin_object  = getattr(importlib.import_module(mod), cls)(gui, self.name)
  File "/usr/lib64/calibre/calibre/gui2/store/__init__.py", line 56, in __init__
    self.config = JSONConfig('store/stores/' + self.name)
  File "/usr/lib64/calibre/calibre/utils/config.py", line 241, in __init__
    self.refresh()
  File "/usr/lib64/calibre/calibre/utils/config.py", line 251, in refresh
    if os.path.exists(self.file_path):
  File "/usr/lib64/python2.7/genericpath.py", line 18, in exists
    os.stat(path)
UnicodeEncodeError: 'ascii' codec can't encode characters in position 39-43: ordinal not in range(128)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/main.py", line 260, in initialize
    self.initialize_db()
  File "/usr/lib64/calibre/calibre/gui2/main.py", line 241, in initialize_db
    self.initialize_db_stage2(db, None)
  File "/usr/lib64/calibre/calibre/gui2/main.py", line 210, in initialize_db_stage2
    self.start_gui(db)
  File "/usr/lib64/calibre/calibre/gui2/main.py", line 162, in start_gui
    main = Main(self.opts, gui_debug=self.gui_debug)
  File "/usr/lib64/calibre/calibre/gui2/ui.py", line 127, in __init__
    self.load_store_plugins()
  File "/usr/lib64/calibre/calibre/gui2/ui.py", line 150, in load_store_plugins
    st = self.init_istore(store)
  File "/usr/lib64/calibre/calibre/gui2/ui.py", line 161, in init_istore
    st = store.load_actual_plugin(self)
  File "/usr/lib64/calibre/calibre/customize/__init__.py", line 634, in load_actual_plugin
    self.actual_plugin_object  = getattr(importlib.import_module(mod), cls)(gui, self.name)
  File "/usr/lib64/calibre/calibre/gui2/store/__init__.py", line 56, in __init__
    self.config = JSONConfig('store/stores/' + self.name)
  File "/usr/lib64/calibre/calibre/utils/config.py", line 241, in __init__
    self.refresh()
  File "/usr/lib64/calibre/calibre/utils/config.py", line 251, in refresh
    if os.path.exists(self.file_path):
  File "/usr/lib64/python2.7/genericpath.py", line 18, in exists
    os.stat(path)
UnicodeEncodeError: 'ascii' codec can't encode characters in position 39-43: ordinal not in range(128)


Expected results:


Additional info:

Comment 1 Kevin Fenzi 2011-09-04 23:07:47 UTC
Can you please try: 

su
cd /etc/yum.repos.d/
wget http://repos.fedorapeople.org/repos/kevin/calibre/fedora-calibre.repo
yum clean all
yum update calibre

And see if the 0.8.15 version works ok?

Comment 2 Jes Sorensen 2011-09-05 06:26:20 UTC
Hi Kevin,

0.8.15 seems to work for me.

Thanks,
Jes

Comment 3 Toshio Ernie Kuratomi 2013-01-11 22:25:45 UTC
calibre-0.8.33-2.fc16 is in f16, closing.


Note You need to log in before you can comment on or make changes to this bug.